// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: interconnectionmodule/interconnectionmodule.proto

package openfmb.interconnectionmodule;

public interface InterconnectionScheduleFSCCOrBuilder extends
    // @@protoc_insertion_point(interface_extends:interconnectionmodule.InterconnectionScheduleFSCC)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the controlFSCC field is set.
   */
  boolean hasControlFSCC();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   * @return The controlFSCC.
   */
  openfmb.commonmodule.ControlFSCC getControlFSCC();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlFSCC controlFSCC = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.ControlFSCCOrBuilder getControlFSCCOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .interconnectionmodule.InterconnectionControlScheduleFSCH interconnectionControlScheduleFSCH = 2 [(.uml.option_multiplicity_min) = 0];</code>
   */
  java.util.List<openfmb.interconnectionmodule.InterconnectionControlScheduleFSCH> 
      getInterconnectionControlScheduleFSCHList();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .interconnectionmodule.InterconnectionControlScheduleFSCH interconnectionControlScheduleFSCH = 2 [(.uml.option_multiplicity_min) = 0];</code>
   */
  openfmb.interconnectionmodule.InterconnectionControlScheduleFSCH getInterconnectionControlScheduleFSCH(int index);
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .interconnectionmodule.InterconnectionControlScheduleFSCH interconnectionControlScheduleFSCH = 2 [(.uml.option_multiplicity_min) = 0];</code>
   */
  int getInterconnectionControlScheduleFSCHCount();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .interconnectionmodule.InterconnectionControlScheduleFSCH interconnectionControlScheduleFSCH = 2 [(.uml.option_multiplicity_min) = 0];</code>
   */
  java.util.List<? extends openfmb.interconnectionmodule.InterconnectionControlScheduleFSCHOrBuilder> 
      getInterconnectionControlScheduleFSCHOrBuilderList();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .interconnectionmodule.InterconnectionControlScheduleFSCH interconnectionControlScheduleFSCH = 2 [(.uml.option_multiplicity_min) = 0];</code>
   */
  openfmb.interconnectionmodule.InterconnectionControlScheduleFSCHOrBuilder getInterconnectionControlScheduleFSCHOrBuilder(
      int index);
}
